#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pdir	Test
%define		pnam	Simple
Summary:	Test::Simple - basic utilities for writing tests
Summary(pl.UTF-8):	Test::Simple - podstawowe narzędzia do pisania testów
Name:		perl-Test-Simple
# NOTE: perl 5.32 provides 1.302175
Version:	1.302183
%define	fver	%(echo %{version} | tr -d _)
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Test/%{pdir}-%{pnam}-%{fver}.tar.gz
# Source0-md5:	b9bd0b573de649893dbd1d746691cd0a
URL:		https://metacpan.org/release/Test-Simple
%{?with_tests:BuildRequires:	perl-Test-Harness >= 2.03}
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
# see lib/Test/Builder/Tester.pm /VERSION
Provides:	perl-Test-Builder-Tester = %{version}
# see lib/Test/Tester.pm /VERSION
Provides:	perl-Test-Tester = %{version}
# see lib/Test/use/ok.pm /VERSION
Provides:	perl-Test-use-ok = %{version}
# obsolete only versions up to last standalone release to avoid obsoleting perl-modules
# Test::Builder::Tester 1.01
# Test::Tester 0.109
# Test::use::ok 0.11
Obsoletes:	perl-Test-Builder-Tester < 1.02
Obsoletes:	perl-Test-Tester < 0.110
Obsoletes:	perl-Test-use-ok < 0.12
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq_perl	threads threads::shared

%description
AHHHHHHH!!!! NOT TESTING! Anything but testing! Beat me, whip me, send
me to Detroit, but don't make me write tests!
   -- perldoc Test::Tutorial

Test::Simple is an extremely simple, extremely basic module for
writing tests suitable for CPAN modules and other pursuits. If you
wish to do more complicated testing, use the Test::More module (a
drop-in replacement for this one).

The purpose of Test::More is to provide a wide range of testing
utilities. Various ways to say "ok" with better diagnostics,
facilities to skip tests, test future features and compare complicated
data structures. While you can do almost anything with a simple "ok()"
function, it doesn't provide good diagnostic output.

%description -l pl.UTF-8
AAAAAAAA!!! NIE TESTOWANIE! Wszystko tylko nie testowanie! Bijcie
mnie, biczujcie mnie, wyślijcie do Detroit, ale nie każcie pisać
testów!
   -- perldoc Test::Tutorial

Test::Simple jest bardzo prostym, bardzo podstawowym modułem do
pisania testów pasujących do modułów CPAN i innych. Do bardziej
skomplikowanych testów lepiej używać modułu Test::More (zastępującego
ten).

Celem Test::More jest dostarczenie szerokiego zakresu narzędzi do
testowania. Różne sposoby powiedzenia "ok" z lepszą diagnostyką,
ułatwienia przy pomijaniu testów, testowaniu przyszłych możliwości i
porównywaniu skomplikowanych struktur danych. O ile można zrobić
prawie wszystko prostą funkcją "ok()", nie daje ona dobrego wyjścia
diagnostycznego.

%prep
%setup -q -n %{pdir}-%{pnam}-%{fver}
%{__perl} -nli -e 'print unless /^\s+sleep\s+\d+;\s*/' Makefile.PL

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/Test/Tutorial.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/ok.pm
%{perl_vendorlib}/Test/Builder
%{perl_vendorlib}/Test/Builder.pm
%{perl_vendorlib}/Test/More.pm
%{perl_vendorlib}/Test/Simple.pm
%{perl_vendorlib}/Test/Tester
%{perl_vendorlib}/Test/Tester.pm
%{perl_vendorlib}/Test/use
%{perl_vendorlib}/Test2.pm
%{perl_vendorlib}/Test2
%{_mandir}/man3/Test::Builder*.3pm*
%{_mandir}/man3/Test::More.3pm*
%{_mandir}/man3/Test::Simple.3pm*
%{_mandir}/man3/Test::Tester*.3pm*
%{_mandir}/man3/Test::Tutorial.3pm*
%{_mandir}/man3/Test::use::ok.3pm*
%{_mandir}/man3/Test2*.3pm*
%{_mandir}/man3/ok.3pm*
%changelog
* Tue May 18 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Test-Simple.git;a=log;h=master

* Mon May 17 2021 Jakub Bogusz <qboosh@pld-linux.org> 11eb9a6
- updated to 1.302183
- use _noautoreq_perl

* Sun May 03 2020 Jakub Bogusz <qboosh@pld-linux.org> 32a85d4
- macros for perl autodeps

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 05cc41a
- drop obsolete and outdated manual inclusion of rpm macros

* Thu Oct 04 2018 Jakub Bogusz <qboosh@pld-linux.org> d1b9ec6
- updated to 1.302140

* Sat Mar 10 2018 Marcin Krol <hawk@tld-linux.org> 15c3dff
- updated to 1.302130

* Mon Nov 07 2016 Jakub Bogusz <qboosh@pld-linux.org> e9c3529
- handle also perl-Test-use-ok merge; release 3

* Mon Nov 07 2016 Jakub Bogusz <qboosh@pld-linux.org> 3b71b36
- obsolete only standalone versions of perl-Test-Builder-Tester and perl-Test-Tester not to obsolete perl-modules

* Sun Nov 06 2016 Jakub Bogusz <qboosh@pld-linux.org> 46ebbc6
- updated included Test-Builder-Tester version
- added P/O for included Test-Tester module
- release 2

* Sun Oct 30 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 6876522
- up to 1.302062

* Wed Sep 10 2014 Jakub Bogusz <qboosh@pld-linux.org> 5240b5a
- updated to 1.001006 (as 1.001_006 for rpm version comparator compatibility)

* Sun Dec 04 2011 Jakub Bogusz <qboosh@pld-linux.org> 9bada21
- updated Test-Builder-Tester Provides

* Thu Aug 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 2ba9689
- up to 0.98

* Tue Dec 07 2010 Jakub Bogusz <qboosh@pld-linux.org> 95d5827
- updated to 0.96
- updated perl-Test-Builder-Tester P

* Fri Oct 16 2009 amateja <amateja@pld-linux.org> 5c99452
- updated to 0.94

* Fri Aug 21 2009 amateja <amateja@pld-linux.org> 9d2b086
- updated to 0.92

* Tue Jun 16 2009 amateja <amateja@pld-linux.org> 24e0ca0
- updated to 0.88

* Fri Dec 12 2008 radek <radek@pld-linux.org> 13c0e46
- version 0.86

* Sun May 11 2008 hawk <hawk@pld-linux.org> 9b3e429
- updated to 0.80

* Mon Dec 31 2007 zbyniu <zbyniu@pld-linux.org> 0e118c8
- up to 0.74

* Tue Mar 27 2007 radek <radek@pld-linux.org> 157ded2
- version 0.70

